biome-runtime-bindings
Operations of the Biome Host API. Paths are relative to your deployment's API host.
GET /api/biome-host-api/projects/{projectId}/biome-installations/{installationId}/runtime-bindings
List runtime placement bindings for this installation
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
installationId | path | string | yes | |
projectId | path | string | yes |
| Status | Description | Body |
|---|---|---|
| 200 | application/json RuntimeBindingResponseDtoDataArrayEnvelope | |
| 400 | application/problem+json ProblemDetailsDto | |
| 401 | application/problem+json ProblemDetailsDto | |
| 403 | application/problem+json ProblemDetailsDto | |
| 404 | application/problem+json ProblemDetailsDto | |
| 409 | application/problem+json ProblemDetailsDto | |
| 422 | application/problem+json ProblemDetailsDto | |
| 500 | application/problem+json ProblemDetailsDto |
POST /api/biome-host-api/projects/{projectId}/biome-installations/{installationId}/runtime-bindings
Bind this installation to a runtime with label constraints
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
installationId | path | string | yes | |
projectId | path | string | yes |
Request body: application/json CreateRuntimeBindingDto
| Status | Description | Body |
|---|---|---|
| 201 | application/json RuntimeBindingResponseDtoDataEnvelope | |
| 400 | application/problem+json ProblemDetailsDto | |
| 401 | application/problem+json ProblemDetailsDto | |
| 403 | application/problem+json ProblemDetailsDto | |
| 404 | application/problem+json ProblemDetailsDto | |
| 409 | application/problem+json ProblemDetailsDto | |
| 422 | application/problem+json ProblemDetailsDto | |
| 500 | application/problem+json ProblemDetailsDto |
PATCH /api/biome-host-api/projects/{projectId}/biome-installations/{installationId}/runtime-bindings/{bindingId}
Patch operational filters or in-flight policy on a non-active runtime binding
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
bindingId | path | string | yes | |
installationId | path | string | yes | |
projectId | path | string | yes |
Request body: application/json UpdateRuntimeBindingDto
| Status | Description | Body |
|---|---|---|
| 200 | application/json RuntimeBindingResponseDtoDataEnvelope | |
| 400 | application/problem+json ProblemDetailsDto | |
| 401 | application/problem+json ProblemDetailsDto | |
| 403 | application/problem+json ProblemDetailsDto | |
| 404 | application/problem+json ProblemDetailsDto | |
| 409 | application/problem+json ProblemDetailsDto | |
| 422 | application/problem+json ProblemDetailsDto | |
| 500 | application/problem+json ProblemDetailsDto |
POST /api/biome-host-api/projects/{projectId}/biome-installations/{installationId}/runtime-bindings/{bindingId}/drain
Stop new dispatch and begin the retained runtime-binding revocation lifecycle
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
bindingId | path | string | yes | |
installationId | path | string | yes | |
projectId | path | string | yes |
| Status | Description | Body |
|---|---|---|
| 200 | application/json RuntimeBindingResponseDtoDataEnvelope | |
| 400 | application/problem+json ProblemDetailsDto | |
| 401 | application/problem+json ProblemDetailsDto | |
| 403 | application/problem+json ProblemDetailsDto | |
| 404 | application/problem+json ProblemDetailsDto | |
| 409 | application/problem+json ProblemDetailsDto | |
| 422 | application/problem+json ProblemDetailsDto | |
| 500 | application/problem+json ProblemDetailsDto |
POST /api/biome-host-api/projects/{projectId}/biome-installations/{installationId}/runtime-bindings/{bindingId}/retry
Retry identity provisioning for a pending or visibly failed binding
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
bindingId | path | string | yes | |
installationId | path | string | yes | |
projectId | path | string | yes |
| Status | Description | Body |
|---|---|---|
| 200 | application/json RuntimeBindingResponseDtoDataEnvelope | |
| 400 | application/problem+json ProblemDetailsDto | |
| 401 | application/problem+json ProblemDetailsDto | |
| 403 | application/problem+json ProblemDetailsDto | |
| 404 | application/problem+json ProblemDetailsDto | |
| 409 | application/problem+json ProblemDetailsDto | |
| 422 | application/problem+json ProblemDetailsDto | |
| 500 | application/problem+json ProblemDetailsDto |